<style>
  body, html, #<%= globals.id %> {
    background: <%= options.background %>;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0;
  }

  #loadingSvgWrapper {
    width: 90%;
    max-width: 50rem;
  }

  #loadingSvg {
    background: linear-gradient(-45deg, #EE7752, #E73C7E, #23A6D5, #23D5AB);
    background-size: 400% 400%;
    -webkit-animation: Gradient 2s ease infinite;
    -moz-animation: Gradient 2s ease infinite;
    animation: Gradient 2s ease infinite;
  }

  @-webkit-keyframes Gradient {
    0% {
      background-position: 0% 50%
    }
    50% {
      background-position: 100% 50%
    }
    100% {
      background-position: 0% 50%
    }
  }

  @-moz-keyframes Gradient {
    0% {
      background-position: 0% 50%
    }
    50% {
      background-position: 100% 50%
    }
    100% {
      background-position: 0% 50%
    }
  }

  @keyframes Gradient {
    0% {
      background-position: 0% 50%
    }
    50% {
      background-position: 100% 50%
    }
    100% {
      background-position: 0% 50%
    }
  }
</style>

<div id="loadingSvgWrapper">
  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 785.807 192" id="loadingSvg">
    <g fill="<%= options.background %>">
      <path d="m 0,0 v 167.5 c 0,-1.8 0.70039063,-3.20039 2.4003906,-3.90039 1.4,-0.6 2.8,-0.39883 4,0.70117 1,0.9 1.2988282,2.09844 1.2988282,3.39844 v 15.70117 c 0,1.4 0.4007812,1.79883 1.8007812,1.79883 5.5,-0.1 11,0 16.5,0 1.9,0 3.200391,0.80117 3.900391,2.70117 0.6,1.7 -7.82e-4,3.09922 -1.300782,4.19922 -0.9,0.8 -1.999218,0.90039 -3.199218,0.90039 H 785.80664 V 95.638672 c 0.0328,6.004688 -0.90547,11.911718 -2.85547,17.761718 -5.1,15.1 -15.49961,24.20039 -31.09961,27.40039 -9.7,2 -19.40039,1.29922 -28.90039,-1.80078 -6.8,-2.3 -13.19883,-5.30039 -18.79883,-9.90039 -0.8,-0.6 -1.09961,-1.19922 -1.09961,-2.19922 V 94.5 c 0,-1.2 0.29961,-1.599609 1.59961,-1.599609 h 35.40039 c 1.2,0 1.59961,0.299609 1.59961,1.599609 -0.1,3.9 -0.1,7.69961 0,11.59961 0.1,1.6 -0.50039,1.80078 -1.90039,1.80078 -5.7,-0.1 -11.39961,3.9e-4 -17.09961,-0.0996 -1.2,-0.1 -1.59961,0.2 -1.59961,1.5 0.1,2.8 0,5.59844 0,8.39844 0,0.8 0.0988,1.30078 0.79883,1.80078 8,5.4 16.60039,8.60078 26.40039,6.30078 6.9,-1.6 11.99922,-5.7 15.19922,-12 3.6,-7.3 4,-15.099999 3.5,-22.999999 -0.3,-5.1 -1.49922,-10.00039 -4.19922,-14.40039 -5.8,-9.2 -16.49961,-12 -26.59961,-10 -6.8,1.4 -11.30117,5.6 -13.70117,12 -0.3,0.8 -0.39961,1.498828 -1.59961,1.298828 -5,-1 -9.90039,-1.998828 -14.90039,-2.798828 -1.6,-0.3 -1.79844,-1.000782 -1.39844,-2.300782 2.7,-9.3 8.09844,-16.198828 16.89844,-20.298828 4.4,-2 9.17324,-3.364375 13.99024,-3.484375 4.058,-0.169 5.37532,-0.06562 11.11132,-0.01563 1.243,0.099 4.39699,0.367219 4.70899,0.449219 6.6,0.8 12.38945,3.449609 17.68945,7.349609 10.3,7.7 15.1,18.6 16.5,31 0.225,2.025 0.34453,4.0375 0.35547,6.039063 V 0 H 25.400391 c 2.8,0 4.599218,1.5007813 4.699218,3.8007812 0.1,2.3000001 -1.799218,3.8984376 -4.699218,3.8984376 H 9.3007812 c -1.1999999,0 -1.4999999,0.4015624 -1.5,1.6015624 0.1,5.1999998 0,10.3999998 0,15.4999998 C 7.8007812,27.900781 6.4,29.5 4,29.5 1.6,29.5 0.19921875,27.9 0.19921875,25 0.09921875,17.2 0.09960937,9.3996094 0.09960937,1.5996094 0.09960937,0.39960938 0.39921875,0 1.6992188,0 Z M 1.6992188,0 C 5.6992187,0.1 9.8007812,0 13.800781,0 Z M 25.400391,193 c -3.9,-0.1 -7.800782,-0.0996 -11.800782,-0.0996 H 1.5996094 C 0.59960938,192.90039 0,192.8 0,191.5 V 193 Z M 0,191.5 c 0.1,-8 0,-16 0,-24 z M 163,0.30078125 c 3.9,0.1 7.90039,0 11.90039,0 h 12.19922 c 1.2,0 1.5,0.3 1.5,1.49999995 V 25.599609 c 0,2.7 -1.60039,4.300782 -3.90039,4.300782 -2.2,0 -3.79883,-1.601172 -3.79883,-4.201172 -0.1,-5.2 -0.1,-10.4 0,-15.5 0,-1.8000003 -0.60117,-2.0996096 -2.20117,-2.0996096 -5.3,0.1 -10.59844,0.1 -15.89844,0 -3.2,0 -5.20117,-2.9992188 -3.70117,-5.6992188 C 159.89961,0.90039062 161.3,0.30078125 163,0.30078125 Z M 89.080078,23.283203 c 1.014453,0.01094 1.320313,0.404297 1.320313,1.716797 -0.1,7.8 -0.1,15.600391 0,23.400391 0,1.4 -0.501172,1.8 -1.701172,2 -19.6,3.8 -34.998438,19.999218 -37.398438,39.699218 -0.2,1.2 -0.501172,1.6 -1.701172,1.5 H 35.5 c -4.5,0 -9,-0.1 -13.5,0 -1.6,0 -2.000781,-0.5 -1.800781,-2 1.8,-17.5 8.701172,-32.6 21.201172,-45 13,-13 28.799218,-19.998828 47.199218,-21.298828 0.175,-0.0125 0.335547,-0.01914 0.480469,-0.01758 z m 12.375002,0.275391 c 0.16406,0.0023 0.34492,0.01601 0.54492,0.04102 30.1,3.7 50.90078,19.601172 62.30078,47.701172 2.4,5.9 3.49922,12.098438 4.19922,18.398438 0.2,1.8 -0.4,2 -2,2 -13.4,-0.1 -26.69961,0 -40.09961,0 -3,0 -2.59961,-0.398828 -2.59961,2.701172 0,1.8 0.1,3.60039 0,5.40039 0,1.099999 0.29844,1.398439 1.39844,1.398439 2.9,-0.1 5.70156,0 8.60156,0 2.3,0 2.29844,0.001 1.89844,2.20117 -2.7,15.3 -15.19844,27.89883 -30.39844,30.79883 -4.9,0.9 -4.90039,0.9 -4.90039,-4 v -6.89844 c 0,-1 -0.30039,-1.40039 -1.40039,-1.40039 -2.3,0.1 -4.600391,0.1 -6.900391,0 -1.1,0 -1.40039,0.30039 -1.40039,1.40039 0.1,3.2 0,6.49922 0,9.69922 0,1.1 -0.298438,1.29961 -1.398438,1.09961 -14.9,-3.1 -27.401172,-16.19883 -29.701172,-31.29883 -0.2,-1.2 0.100391,-1.60156 1.400391,-1.60156 3.4,0.1 6.699609,0.002 10.099609,0.10156 1.1,0 1.6,-0.20039 1.5,-1.400389 -0.1,-2.2 -0.1,-4.501172 0,-6.701172 0,-1.1 -0.40039,-1.398438 -1.40039,-1.398438 H 60.900391 c -1.2,0 -1.500782,-0.3 -1.300782,-1.5 2,-14.6 14.601172,-28.200781 29.201172,-31.300781 1.2,-0.3 1.69961,-0.09922 1.59961,1.300781 -0.1,3.2 3.9e-4,6.39961 -0.09961,9.59961 0,1.2 0.3,1.5 1.5,1.5 2.2,-0.1 4.39961,-0.1 6.59961,0 1.4,0.1 1.599609,-0.401172 1.599609,-1.701172 -0.1,-7.6 0,-14.998828 0,-22.298828 V 25.5 c 0,-1.4 0.30664,-1.957813 1.45508,-1.941406 z m 146.0293,27.167968 c 1.55337,-0.01087 2.89678,0.0053 4.92578,0.08984 4.816,0.12 9.59023,1.484375 13.99023,3.484375 8.8,4.1 14.20039,10.998828 16.90039,20.298828 0.4,1.3 0.19961,2.000782 -1.40039,2.300782 -5,0.8 -9.90039,1.798828 -14.90039,2.798828 -1.2,0.2 -1.29961,-0.498828 -1.59961,-1.298828 -2.4,-6.4 -6.90117,-10.6 -13.70117,-12 -10.1,-2 -20.79961,0.8 -26.59961,10 -2.7,4.4 -3.89922,9.30039 -4.19922,14.40039 -0.5,7.9 -0.1,15.699999 3.5,22.999999 3.2,6.3 8.29922,10.4 15.19922,12 9.8,2.3 18.40039,-0.90078 26.40039,-6.30078 0.7,-0.5 0.80078,-1.00078 0.80078,-1.80078 0,-2.8 -0.1,-5.59844 0,-8.39844 0,-1.3 -0.40156,-1.6 -1.60156,-1.5 -5.7,0.1 -11.39961,-3.9e-4 -17.09961,0.0996 -1.4,0 -2.00039,-0.20078 -1.90039,-1.80078 0.1,-3.9 0.1,-7.69961 0,-11.59961 0,-1.3 0.40156,-1.599609 1.60156,-1.599609 h 35.39844 c 1.3,0 1.60156,0.399609 1.60156,1.599609 v 32.40039 c 0,1 -0.30156,1.59922 -1.10156,2.19922 -5.6,4.6 -11.99883,7.60039 -18.79883,9.90039 -9.5,3.1 -19.20039,3.80078 -28.90039,1.80078 -15.6,-3.2 -25.99961,-12.30039 -31.09961,-27.40039 -2.6,-7.8 -3.4,-15.700781 -2.5,-23.800781 1.4,-12.4 6.2,-23.3 16.5,-31 5.3,-3.9 11.08945,-6.549609 17.68945,-7.349609 0.311,-0.083 3.46694,-0.350219 4.71094,-0.449219 2.8675,-0.025 4.63022,-0.06334 6.1836,-0.07422 z M 487.5,51.599609 c 4.6,0.1 9.20039,0.1 13.90039,0 1.7,0 2.19922,0.401172 2.19922,2.201172 -0.1,24.9 -0.1,81.599609 0,85.099609 0,1.4 -0.39922,1.69922 -1.69922,1.69922 -4.8,-0.1 -9.60039,-0.1 -14.40039,0 -1.5,0 -2,-0.30039 -2,-1.90039 0,-14.2 3.9e-4,-70.900001 -0.0996,-85.000001 0,-1.7 0.49961,-2.09961 2.09961,-2.09961 z m -44.09961,0.300782 c 7.8,0.1 15.60039,0.1 23.40039,0 1.3,0 1.69922,0.299609 1.69922,1.599609 v 85.09961 c 0,0.5 0.11261,1.184 -0.40039,1.5 h -15.5 c -0.1,0 -0.30039,3.9e-4 -0.40039,-0.0996 0,-0.6 -0.0996,-1.20039 -0.0996,-1.90039 V 70.800781 c -1,0.8 -12.19922,47.799219 -17.19922,67.699219 -0.3,1.3 -0.80117,1.80078 -2.20117,1.80078 -4.6,-0.1 -9.19844,-0.1 -13.89844,0 -1.4,0 -1.80117,-0.40078 -2.20117,-1.80078 -3.8,-15.6 -14.79883,-59.299219 -16.79883,-65.699219 v 65.099609 c 0,0.7 0.39961,1.49961 -0.40039,2.09961 h -13.5 c -2.5,0 -2.5,0 -2.5,-2.5 V 52.099609 c 8.5,0 17,-0.09961 25.5,-0.09961 0.9,0 1.09883,0.399219 1.29883,1.199219 2.3,8.8 12.3,46.40039 15,56.400391 0.2,0.6 0.3,1.20039 0.5,1.90039 0.7,-0.4 0.60078,-1.09961 0.80078,-1.59961 2.3,-8.7 12.19922,-46.201171 14.69922,-56.201171 0.3,-1.3 0.80117,-1.798828 2.20117,-1.798828 z M 364.80078,52 c 1.6,0 1.99844,0.400391 1.89844,1.900391 -0.1,3.7 -0.1,7.399609 0,11.099609 0.1,1.6 -0.39961,2.099609 -2.09961,2.099609 -14.4,-0.1 -28.89883,3.91e-4 -43.29883,-0.09961 -2,0 -2.40039,0.6 -2.40039,2.5 0.1,5.1 0.1,10.200391 0,15.400391 0,1.4 0.39883,1.699218 1.79883,1.699218 13.3,-0.1 26.60039,0 39.90039,0 h 2.20117 c 0,4.9 -0.002,9.900782 -0.10156,14.800781 -11.9,0 -23.89883,-3.9e-4 -35.79883,0.0996 h -6.59961 c -1.1,0 -1.5,0.20039 -1.5,1.40039 0.1,7.1 0.1,14.09922 0,21.19922 0,1.7 0.89844,1.40039 1.89844,1.40039 H 366 c 1.7,0 2.19922,0.39961 2.19922,2.09961 -0.1,3.7 -0.1,7.50117 0,11.20117 0,1 -0.0984,1.59961 -1.39844,1.59961 L 302.75,140.37891 c -1.04,0 -1.44922,-0.47663 -1.44922,-1.51563 0.1,-29.3 0.0137,-56.582421 0.0137,-85.982421 0,-0.687 0.14925,-0.873047 0.90625,-0.873047 z m 157.79883,0.400391 h 24.80078 c 0.8,2.9 15.69922,60.099609 15.69922,60.099609 0,0 15.40078,-58.6 15.80078,-60 8.2,0 16.49922,3.91e-4 24.69922,-0.09961 1.6,0 2,0.4 2,2 -0.1,10.7 -0.1,66.498829 0,83.798829 0,1.7 -0.49961,2.10156 -2.09961,2.10156 -3.8,-0.1 -7.60039,-0.1 -11.40039,0 -1.8,0.1 -2.40039,-0.40078 -2.40039,-2.30078 0.1,-21.6 0.1,-65.900391 0,-66.400391 0,-0.3 0.002,-0.699218 -0.39844,-0.699218 -0.5,-0.1 -16.50156,66.500389 -17.60156,69.400389 H 556.30078 C 555.70078,140.30078 555,140.3 554.5,140 554,139.1 537.59961,72.900391 537.59961,72.900391 l -0.5,-1.5 c 0,0 -0.19922,45.498829 -0.19922,66.798829 0,1.3 -7.8e-4,2.20156 -1.80078,2.10156 -4.2,-0.1 -8.4,-0.1 -12.5,0 -1.3,0 -1.69922,-0.30117 -1.69922,-1.70117 V 54.099609 c 0,-1.3 0.39922,-1.699218 1.69922,-1.699218 z m 99.80078,0.298828 64.25977,0.0039 c 0.762,-10e-4 0.93954,0.179531 0.93554,0.769531 l 0.004,84.828124 c 0,1.5 -0.4,2 -2,2 -16.5,-0.1 -58.5,0 -63,0 -0.7,0 -1.5,0.1 -1.5,-1 v -12.20117 c 0,-0.9 0.29961,-0.90039 1.09961,-0.90039 2.2,0 48,0.10156 48,0.10156 0,0 -0.19922,-16.80078 -0.19922,-24.80078 -0.5,-0.8 -1.20039,-0.40039 -1.90039,-0.40039 h -40.40039 c -0.7,0 -1.59961,0.2 -1.59961,-1 0.1,-4.500001 -0.19883,-9.09961 0.20117,-13.59961 4.2,0 32.19844,-0.09961 41.89844,-0.09961 1.5,0 1.90039,-0.400782 1.90039,-1.800782 C 669.99961,78.699609 670,72.9 670,67 c -0.6,-0.7 -1.39961,-0.400391 -2.09961,-0.400391 h -43.09961 c -0.8,0 -1.60039,-0.09961 -2.40039,-0.09961 z M 97.699219,81.300781 c -8.6,0 -15.699219,6.9 -15.699219,15.5 0,8.499999 6.900391,15.499609 15.400391,15.599609 8.699999,0.1 15.698829,-6.80039 15.798829,-15.40039 0,-8.7 -6.8,-15.699219 -15.500001,-15.699219 z m 48.500001,19.798829 c 6.8,0.1 13.60039,0.1 20.40039,0 1.6,0 1.90078,0.3 1.80078,2 -3.3,32.6 -26.29961,58.3 -58.09961,65 -2.8,0.6 -5.7,0.80078 -8.5,1.30078 -1.1,0.2 -1.5,-0.20039 -1.5,-1.40039 v -11.80078 c 0,-3.7 0.0984,-7.39961 -0.10156,-11.09961 -0.1,-1.8 0.60117,-2.19883 2.20117,-2.29883 8.1,-0.7 15.5,-3.40156 22,-8.10156 10.9,-7.8 17.5,-18.29961 19.5,-31.59961 0.2,-1.6 0.79883,-2 2.29883,-2 z m -110.500001,0.0996 h 13.701172 c 1.2,0 1.70039,0.20156 1.90039,1.60156 2.4,19.7 17.899219,35.99961 37.699219,39.59961 1.5,0.3 1.699219,0.79922 1.699219,2.19922 -0.1,7.7 -0.1,15.4 0,23 0,1.8 -0.59961,2.00039 -2.09961,1.90039 C 61.799609,167.2 41.7,154.20078 28.5,130.80078 c -4.8,-8.5 -7.300781,-17.70039 -8.300781,-27.40039 -0.2,-1.5 7.81e-4,-2.19961 1.800781,-2.09961 4.6,0 9.099219,-0.10156 13.699219,-0.10156 z M 184.69922,163 c 1.9,0 3.50117,1.40078 3.70117,3.30078 0.1,1.2 0.0996,2.49922 0.0996,3.69922 v 20.80078 c 0,1.4 -0.40078,1.79922 -1.80078,1.69922 -3.9,0 -7.89844,0.0996 -11.89844,0.0996 H 163 c -2.7,0 -4.4,-1.49883 -4.5,-3.79883 -0.1,-2.4 1.70039,-4 4.40039,-4 5.3,0 10.60039,-0.1 15.90039,0 1.4,0 1.89844,-0.30078 1.89844,-1.80078 -0.1,-4.9 0,-9.90078 0,-14.80078 0,-0.7 0.001,-1.49922 0.20117,-2.19922 0.4,-1.8 1.89883,-3 3.79883,-3 z" />
    </g>
  </svg>
</div>

